# SPDX-License-Identifier: MIT
%global source_version 1.008
%global source_release 8
%global source_url     https://public-sans.digital.gov/

%global forge_url https://github.com/uswds/public-sans/
%global forge_tag v%{source_version}


%global default_fonts_foundry      USWDS
%global default_fonts_license      OFL
%global default_fonts_licenses     LICENSE.md
%global default_fonts_docs         *txt *md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Public Sans
%global fonts_summary            A strong, neutral, principles-driven, sans-serif Latin font family
%global fonts_fonts              binaries/otf/*otf binaries/variable/*ttf
%global fonts_experimental_confs 58-%{fonts_name}.xml
%global fonts_description        %{expand:
Public Sans is a fork of the Libre Franklin font family. Libre Franklin is a
reinterpretation and expansion of the 1912 Morris Fuller Benton’s classic.
Public Sans has many similarities with its parent, but diverges enough in its
particulars that its effect is distinct.

Overall, Public Sans differs from Libre Franklin in its focus on long form
reading and neutral UI applicability. It takes inspiration from geometric sans
faces of the 20th century, as well as the original Franklins of the 19th,
resulting in something of a mongrel face that retains its American origin.

Public Sans is designed to work well with Apple and Google system font families
as the base in its font stack. It’s designed to have metrics most similar to SF
Pro Text (the Apple system font family) and to fall somewhere between SF Pro
Text and Roboto (the Google system font family) in its overall size and
appearance.}

%auto_init
%auto_pkg

%sourcelist
58-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .
chmod 644 %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.008-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.008-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.008-1
✅ Initial packaging
